Bug 192192 - BIND TSIG DoS
BIND TSIG DoS
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: bind (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Tkac
Ben Levenson
impact=none,public=20060425,reported=...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-18 05:34 EDT by Mark J. Cox (Product Security)
Modified: 2013-04-30 19:34 EDT (History)
2 users (show)

See Also:
Fixed In Version: RHBA-2007-0743
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-15 11:03:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2006-05-18 05:34:31 EDT
Numerous vulnerabilities have been reported in various Domain Name System (DNS)
implementations.  These vulnerabilities were discovered using the PROTOS DNS
Test Tool developed by Oulu University Secure Programming Group (OUSPG). The
results of the tests are described in NISCC Vulnerability Advisory 144154/NISCC/DNS.

We have limited information on how BIND is affected:
http://www.niscc.gov.uk/niscc/docs/re-20060425-00312.pdf?lang=en

OpenWall Linux said :Although there's limited information on these
vulnerabilities available, we believe that the BIND 9 package in Owl is affected
to the same (very limited) extent that is documented in the statement from the
ISC found in the PDF version of the NISCC Vulnerability Advisory
144154/NISCC/DNS and that the DNS resolver in glibc is not affected at all.
Assuming that the ISC's description of the issue is correct, we agree with the
ISC's assessment of this issue as minor enough to not require updates for
current and past releases. Instead, a fix is expected to be included in a future
release of BIND - and we are going to similarly include that in a future release
of Owl. The ISC's description of the issue implies that for the attack to work
the DNS server must be configured to use TSIG-based authentication of
transactions and the attacker must in fact authenticate successfully. Thus, it
appears that the attack may only be carried out via a related previously
compromised DNS server and only if both servers are configured to use TSIG-based
authentication. The impact of a successful attack is limited to denial of the
DNS service."

Therefore we'll set this to low severity for Red Hat Enterprise Linux pending
any future updates.  This would also affect v3 and v2.1.
Comment 2 RHEL Product and Program Management 2007-05-09 06:23:23 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 7 Mark J. Cox (Product Security) 2007-07-19 07:39:00 EDT
atack wrote "After reading of many references about this I think this is
not big problem. This is exploitable only if attacker is successfully
authenticated and second tsig request is corrupted."  This is therefore not a
security issue it's a very hard reproducable bug.  Removing CVE and Security status.
Comment 9 errata-xmlrpc 2007-11-15 11:03:17 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0743.html

Note You need to log in before you can comment on or make changes to this bug.